Use o CometAPI POST /mj/submit/action para aplicar ações do Midjourney — upscale, variation, reroll, zoom e mais — em imagens geradas via imaging.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}taskId da tarefa original ou mais recente do MidjourneycustomId do array buttons mais recente retornado por Fetch Single TaskcustomId não é estável. Nunca o codifique manualmente. Sempre leia esse valor da resposta de polling mais recente.U1 a U4: faz upscale de uma imagem da gradeV1 a V4: gera variações a partir de uma posição da imagemCriar a tarefa de acompanhamento
taskId e customId e, em seguida, armazene o novo id de tarefa retornado.Fazer polling da nova tarefa
Lidar com ações somente de modal
MODAL, continue com Modal para fornecer a entrada adicional.Bearer token authentication. Use your CometAPI key.
Action id taken from the latest buttons array returned by the fetch endpoint.
Midjourney task id you want to continue from.
Custom state string. Returned as-is in the task result and webhook callback for your own tracking.
Whether to force remix mode when the current action supports it.
Whether to prefer the same channel account used by the current task.
curl --request POST \
--url https://api.cometapi.com/mj/submit/action \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customId": "MJ::JOB::variation::3::example",
"taskId": "1773314942177684"
}
'{
"code": 123,
"description": "<string>",
"result": "<string>",
"properties": {
"numberOfQueues": 123,
"discordInstanceId": "<string>",
"discordChannelId": "<string>"
}
}